Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(350)

Side by Side Diff: tests/rename.sh

Issue 1095033002: Enable OAuth2 by default. (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/tools/depot_tools
Patch Set: fix smoke tests Created 5 years, 8 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View unified diff | Download patch | Annotate | Revision Log
« no previous file with comments | « tests/push-from-logs.sh ('k') | tests/save-description-on-failure.sh » ('j') | no next file with comments »
Toggle Intra-line Diffs ('i') | Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
OLDNEW
1 #!/usr/bin/env bash 1 #!/usr/bin/env bash
2 2
3 # Copyright (c) 2012 The Chromium Authors. All rights reserved. 3 # Copyright (c) 2012 The Chromium Authors. All rights reserved.
4 # Use of this source code is governed by a BSD-style license that can be 4 # Use of this source code is governed by a BSD-style license that can be
5 # found in the LICENSE file. 5 # found in the LICENSE file.
6 6
7 # Renaming a file should show up as a rename in the review. 7 # Renaming a file should show up as a rename in the review.
8 8
9 set -e 9 set -e
10 10
11 . ./test-lib.sh 11 . ./test-lib.sh
12 12
13 setup_initsvn 13 setup_initsvn
14 setup_gitsvn 14 setup_gitsvn
15 15
16 ( 16 (
17 set -e 17 set -e
18 cd git-svn 18 cd git-svn
19 git config rietveld.server localhost:10000 19 git config rietveld.server localhost:10000
20 20
21 # Create a branch, rename a file, upload it. 21 # Create a branch, rename a file, upload it.
22 git checkout -q -b rename 22 git checkout -q -b rename
23 git mv test test2 23 git mv test test2
24 git commit -q -m "renamed" 24 git commit -q -m "renamed"
25 export GIT_EDITOR=$(which true) 25 export GIT_EDITOR=$(which true)
26 test_expect_success "upload succeeds" \ 26 test_expect_success "upload succeeds" \
27 "$GIT_CL upload -m test master | grep -q 'Issue created'" 27 "$GIT_CL upload --no-oauth2 -m test master | grep -q 'Issue created'"
28 28
29 # Look at the uploaded patch and verify it is a rename patch. 29 # Look at the uploaded patch and verify it is a rename patch.
30 echo "Rename test not fully implemented yet. :(" 30 echo "Rename test not fully implemented yet. :("
31 exit 1 31 exit 1
32 ) 32 )
33 33
34 SUCCESS=$? 34 SUCCESS=$?
35 35
36 cleanup 36 cleanup
37 37
38 if [ $SUCCESS == 0 ]; then 38 if [ $SUCCESS == 0 ]; then
39 echo PASS 39 echo PASS
40 fi 40 fi
OLDNEW
« no previous file with comments | « tests/push-from-logs.sh ('k') | tests/save-description-on-failure.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698